MONGOC_APM_SERVER_HEARTBEAT_STARTED_GET_HOST(3)

NAME
mongoc_apm_server_heartbeat_started_get_host - mongoc_apm_server_heartbeat_started_get_host()

SYNOPSIS

        const mongoc_host_list_t *
        mongoc_apm_server_heartbeat_started_get_host (
           const mongoc_apm_server_heartbeat_started_t *event);

Returns this event's host. This mongoc_host_list_t is not part of a linked list, it is solely the server for this event. The data is only valid in the scope of the callback that receives this event; copy it if it will be accessed after the callback returns.

PARAMETERS

    •   event: A mongoc_apm_server_heartbeat_started_t.

RETURNS

A mongoc_host_list_t that should not be modified or freed.

SEE ALSO:
        Introduction to Application Performance Monitoring

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc